summaryrefslogtreecommitdiff
path: root/tools/update_luadoc.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/update_luadoc.sh')
-rwxr-xr-xtools/update_luadoc.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/tools/update_luadoc.sh b/tools/update_luadoc.sh
new file mode 100755
index 0000000000..09482761fb
--- /dev/null
+++ b/tools/update_luadoc.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+## ardour needs to be configured with --luadoc and build should be up-to date.
+
+cd `dirname $0`
+set -e
+test -f ../libs/ardour/ardour/ardour.h
+test -e ../gtk2_ardour/arluadoc
+test -e ../build/gtk2_ardour/luadoc
+
+# generate ../doc/luadoc.json.gz
+../gtk2_ardour/arluadoc
+
+# generate ../doc/ardourapi.json.gz
+./doxy2json/ardourdoc.sh
+
+php fmt-luadoc.php > /tmp/luadoc.html
+# ^^ needs manual copy to ardour-manual
+ls -l /tmp/luadoc.html